﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Data.Sql;
using Isargaran.Classes;


namespace Isargaran
{
    public partial class FrmPer_Main : Form
    {

        Bitmap b;
        Bitmap b2;
        bool check_Entry()
        {
            if (txtFnameFardi.Text == "")
            {
                MessageBox.Show("لطفا نام را وارد کنيد");
                return false;
            }

            if (txtLnameFardi.Text == "")
            {
                MessageBox.Show("لطفا نام خانوادگي را وارد کنيد");
                return false;
            }


            if (txtPersonalCode.Text == "")
            {
                MessageBox.Show(" لطفا کد پرسنلي را وارد کنيد");
                return false;
            }
            return true;
        }
        public FrmPer_Main()
        {
            InitializeComponent();
        }
        private void btnInsert_Click(object sender, EventArgs e)
        {
            string s;

            s = "insert into TPerson" +
           "([TPerson_Fname]" +
           ",[TPerson_Lname]" +
           ",[TPerson_FatherName]" +
           ",[TPerson_IdNumber]" +
           ",[TPerson_BirthDate]" +
           ",[TPerson_Gender]" +
           ",[TPerson_MarriAge]" +
           ",[TPerson_NationalCode]" +
           ",[TPerson_Major]" +
           ",[TPerson_HouseState]" +
           ",[TPerson_Tel]" +
           ",[TPerson_mobile]" +
           ",[TPerson_HouseAddress]" +
           ",[TPerson_DaughterCount]" +
           ",[TPerson_SonCount]" +
           ",[TPerson_RelationShipCount]" +
           ",[TPerson_EmployState]" +
           ",[TPerson_EmployDate]" +
           ",[TPerson_PersonalCode]" +
           ",[TPerson_JobTitle]" +
           ",[TPerson_JobName]" +
           ",[TPerson_JobTel]" +
           ",[TPerson_JobAddress]" +
           ",[TPerson_PlaceIdNumber]" +
           ",[TPerson_Madrak]" +
           ",[TPerson_unit])" +

           " VALUES('" + txtFnameFardi.Text + "','" + txtLnameFardi.Text + "','" + txtFatherNameFardi.Text + "','" + txtIdNumFardi.Text + "','" + msktxtBirthDateFardi.Text + "'," + cmbGender.SelectedIndex + ",'" + cmbMarr.Text + "','" + txtNationalCode.Text + "','" + txtMajor.Text + "','" + cmbHouseState.Text + "','" + txtHouseTell.Text + "','" + txtMobile.Text + "','" + txtAddress.Text + "'," + intGirlChildCount.Value + "," + intBoyChildCount.Value + "," + intTakafol.Value + ",'" + cmbEmployState.Text + "','" + msktxtEmplyeeDate.Text + "','" + txtPersonalCode.Text + "','" + txtJobTitle.Text + "','" + txtJobName.Text + "','" + txtJobTell.Text + "','" + txtJobAddress.Text + "','" + txtIdPlaceFardi.Text + "','" + cmbMadrakFardi.Text + "','" + txtUnitnameOfOrganization.Text + "')";

            if (check_Entry())
                if (System.Data.Sql.SQL_Commands.ins_del_upd(s))
                {
                    MessageBox.Show("اطلاعات ذخيره شد");
                    Function.formEnabled(false, tabControlPanel1);
                    Function.formEnabled(false, tabControlPanel2);
                    Function.formEnabled(false, tabControlPanel3);
                    txtSearchByCode.Text = txtPersonalCode.Text;
                    try
                    {
                        //s = "insert into photo values('" + txtPersonalCode.Text + "', @photo)";
                        //System.Data.Sql.SQL_Commands.SaveImage(s, (Bitmap)picFardi.Image);
                        b.Save(Application.StartupPath + "\\PersonPicture\\" + txtPersonalCode.Text + ".jpg");
                        b2.Save(Application.StartupPath + "\\KorookiPicture\\" + txtPersonalCode.Text + ".jpg");
                    }
                    catch
                    {
                    }

                }
                else
                    MessageBox.Show("اشکال در ثبت داده ها");

        }

        private void btnClearForm_Click(object sender, EventArgs e)
        {
            //Enable Form Control 
            ClearFormItem.ClearItems(tabControlPanel1);
            ClearFormItem.ClearItems(tabControlPanel2);
            ClearFormItem.ClearItems(tabControlPanel3);
            Function.formEnabled(true, tabControlPanel1);
            Function.formEnabled(true, tabControlPanel2);
            Function.formEnabled(true, tabControlPanel3);

            picFardi.Image = new Bitmap(300, 300);
            Pickrooki.Image = new Bitmap(Pickrooki.Width, Pickrooki.Height);
            btnInsert.Enabled = true;
            txtPersonalCode.Focus();

        }

        private void buttonX1_Click(object sender, EventArgs e)
        {
            OpenFileDialog picOpenDialog = new OpenFileDialog();
            picOpenDialog.Filter = "Bitmap (*.bmp)|*.bmp|JPEG (*.jpg,*.jpeg)|*.jpg;*.jpeg;*.jpe;*.jfif|" +
                                    "All Picture Files|*.bmp;*.jpg;*.jpeg;*.jpe;*.jfif|All Files|*.*";
            picOpenDialog.FilterIndex = 3;

            b = new Bitmap(85, 113, System.Drawing.Imaging.PixelFormat.Format32bppArgb);
            for (int i = 0; i < b.Size.Width; i++)
                for (int j = 0; j < b.Size.Height; j++)
                    b.SetPixel(i, j, Color.FromArgb(0, 0, 0, 0));

            //Show the open dialog
            DialogResult msgResult = picOpenDialog.ShowDialog();
            if (msgResult != DialogResult.Cancel)
                picFardi.Image = (Bitmap)Image.FromFile(picOpenDialog.FileName);
            else picFardi.Image = b;


            //OpenFileDialog op = new OpenFileDialog();
            // op.Filter = "bitmap file(*.bmp)|*.bmp|jpeg file(*.jpg)|*.jpg;*.jpeg";
            // op.ShowDialog();

            // picFardi.Image = new Bitmap(op.FileName );

            b = new Bitmap(picFardi.Image, picFardi.Width, picFardi.Height);
        }



        public void txtSearchByCode_KeyPress(object sender, KeyPressEventArgs e)
        {


            DataSet ds = new DataSet();
            if (e.KeyChar == 13)
            {
                if (txtSearchByCode.Text == "")
                {
                    MessageBox.Show("کد پرسنلي را وارد کنيد");
                    return;
                }
                ds = System.Data.Sql.SQL_Commands.search("select * from Tperson where TPerson_PersonalCode='" + txtSearchByCode.Text + "'");
                if (ds == null || ds.Tables[0].Rows.Count == 0)
                {
                    MessageBox.Show("يافت نشد");
                    return;
                }
                if (ds.Tables[0].Rows.Count > 0)
                {
                    try
                    {

                        txtFnameFardi.DataBindings.Clear();
                        txtLnameFardi.DataBindings.Clear();
                        txtFatherNameFardi.DataBindings.Clear();
                        txtIdNumFardi.DataBindings.Clear();
                        msktxtBirthDateFardi.DataBindings.Clear();
                        txtNationalCode.DataBindings.Clear();
                        txtMajor.DataBindings.Clear();
                        cmbHouseState.DataBindings.Clear();
                        txtHouseTell.DataBindings.Clear();
                        txtMobile.DataBindings.Clear();
                        txtAddress.DataBindings.Clear();
                        intGirlChildCount.DataBindings.Clear();
                        intBoyChildCount.DataBindings.Clear();
                        intTakafol.DataBindings.Clear();
                        cmbMarr.DataBindings.Clear();
                        intTakafol.DataBindings.Clear();
                        cmbEmployState.DataBindings.Clear();
                        msktxtEmplyeeDate.DataBindings.Clear();
                        txtPersonalCode.DataBindings.Clear();
                        txtJobTitle.DataBindings.Clear();
                        txtJobName.DataBindings.Clear();
                        txtJobTell.DataBindings.Clear();
                        txtJobAddress.DataBindings.Clear();
                        txtIdPlaceFardi.DataBindings.Clear();
                        cmbMadrakFardi.DataBindings.Clear();
                        txtUnitnameOfOrganization.DataBindings.Clear();
                        cmbGender.DataBindings.Clear();


                        txtPersonalCode.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_PersonalCode"));
                        txtFnameFardi.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_Fname"));
                        txtLnameFardi.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_Lname"));
                        txtFatherNameFardi.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_FatherName"));
                        txtIdNumFardi.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_IdNumber"));
                        msktxtBirthDateFardi.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_BirthDate"));
                        cmbMarr.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_MarriAge"));
                        txtNationalCode.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_NationalCode"));
                        txtMajor.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_Major"));
                        cmbHouseState.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_HouseState"));
                        txtHouseTell.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_Tel"));
                        txtMobile.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_mobile"));
                        txtAddress.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_HouseAddress"));
                        intGirlChildCount.DataBindings.Add(new Binding("Value", ds.Tables[0], "TPerson_DaughterCount", true));
                        intBoyChildCount.DataBindings.Add(new Binding("Value", ds.Tables[0], "TPerson_SonCount", true));
                        intTakafol.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_RelationShipCount", true));
                        //جنسیت
                        cmbGender.DataBindings.Add(new Binding("SelectedIndex", ds.Tables[0], "TPerson_Gender"));

                        cmbEmployState.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_EmployState"));
                        msktxtEmplyeeDate.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_EmployDate"));
                        txtJobTitle.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_JobTitle"));
                        txtJobName.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_JobName"));
                        txtJobTell.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_JobTel"));
                        txtJobAddress.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_JobAddress"));
                        txtIdPlaceFardi.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_PlaceIdNumber"));
                        cmbMadrakFardi.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_Madrak"));
                        txtUnitnameOfOrganization.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_unit"));
                        lblName.Text = txtFnameFardi.Text + " " + txtLnameFardi.Text;
                        picFardi.Image = new Bitmap(picFardi.Width, picFardi.Height);
                        Pickrooki.Image = new Bitmap(Pickrooki.Width, Pickrooki.Height);
                        if (File.Exists(Application.StartupPath + "\\PersonPicture\\" + txtSearchByCode.Text + ".jpg"))
                            picFardi.Image = new Bitmap(Application.StartupPath + "\\PersonPicture\\" + txtSearchByCode.Text + ".jpg");
                        if (File.Exists(Application.StartupPath + "\\KorookiPicture\\" + txtSearchByCode.Text + ".jpg"))
                            Pickrooki.Image = new Bitmap(Application.StartupPath + "\\KorookiPicture\\" + txtSearchByCode.Text + ".jpg");


                    }
                    catch
                    {
                    }
                }



                try
                {
                    dataGridViewX1.DataSource = System.Data.Sql.SQL_Commands.search("select (TFamilyInformation_Fname) as [نام],(TFamilyInformation_Lname) as [نام خانوادگی],(TFamilyInformation_Relation) as [نسبت خانوادگی],(TFamilyInformation_BirthDate) as [تاریخ تولد],(TFamilyInformation_TMadrak_Name) as [مدرک],(TFamilyInformation_JobState) as [وضعیت شغلی] from TFamilyInformation where TFamilyInformation_TPerson_Code='" + txtSearchByCode.Text + "'").Tables[0];
                    dataGridViewX2.DataSource = System.Data.Sql.SQL_Commands.search("select (noeMasooliyat) as [نوع مسئولیت],(fromDate) as [از تاریخ],(toDate) as [تا تاریخ] from TsavabeghShoghli where PersonalCode='" + txtSearchByCode.Text + "'").Tables[0];
                }
                catch
                {
                }
            }
        }

        private void buttonX9_Click(object sender, EventArgs e)
        {
            OpenFileDialog picOpenDialog = new OpenFileDialog();
            picOpenDialog.Filter = "Bitmap (*.bmp)|*.bmp|JPEG (*.jpg,*.jpeg)|*.jpg;*.jpeg;*.jpe;*.jfif|" +
                                    "All Picture Files|*.bmp;*.jpg;*.jpeg;*.jpe;*.jfif|All Files|*.*";
            picOpenDialog.FilterIndex = 3;

            b2 = new Bitmap(Pickrooki.Width, Pickrooki.Height, System.Drawing.Imaging.PixelFormat.Format32bppArgb);
            for (int i = 0; i < b2.Size.Width; i++)
                for (int j = 0; j < b2.Size.Height; j++)
                    b2.SetPixel(i, j, Color.FromArgb(0, 0, 0, 0));

            //Show the open dialog
            DialogResult msgResult = picOpenDialog.ShowDialog();
            if (msgResult != DialogResult.Cancel)
                Pickrooki.Image = (Bitmap)Image.FromFile(picOpenDialog.FileName);
            else Pickrooki.Image = b2;

            b2 = new Bitmap(Pickrooki.Image, Pickrooki.Width, Pickrooki.Height);
        }


        private void FrmPer_Main_Load(object sender, EventArgs e)
        {

            //DataSet ds = new DataSet();

            //ds = SQL_Commands.search("select * from TEmployState");
            //cmbEmployState.DataBindings.Add(new Binding("Text", ds.Tables[0], "TEmployState_name"));

            //ds = SQL_Commands.search("select * from TMadrak");
            //cmbMadrakFardi.DataBindings.Add(new Binding("Text", ds.Tables[0], "TMadrak_Name"));

            //ds = SQL_Commands.search("select * from TPersonHouseState");
            //cmbHouseState.DataBindings.Add(new Binding("Text", ds.Tables[0], "HouseState"));

            //ds = SQL_Commands.search("select * from TMarriage");
            //cmbMarr.DataBindings.Add(new Binding("Text", ds.Tables[0], "TMarriage_name"));




            //disable Form Control
            Function.formEnabled(false, tabControlPanel1);
            Function.formEnabled(false, tabControlPanel2);
            Function.formEnabled(false, tabControlPanel3);


        }

        private void btnDelete_Click(object sender, EventArgs e)
        {
            string s = "DELETE FROM TPerson WHERE TPerson_PersonalCode='" + txtSearchByCode.Text + "'";

            if (MessageBox.Show("آیا مایل به حدف هستید ؟", "اخطار", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
            {
                if (SQL_Commands.ins_del_upd(s))
                {
                    MessageBox.Show("حذف شد");
                    btnClearForm_Click(btnClearForm, EventArgs.Empty);
                    Function.formEnabled(false, tabControlPanel1);
                    Function.formEnabled(false, tabControlPanel2);
                    Function.formEnabled(false, tabControlPanel3);
                }
                else
                    MessageBox.Show("اشکال در حذف داده ها");
            }

            //dataGridView1.DataSource = SQL_Commands.search("select * from TMadrak ").Tables[0];
        }



        private void buttonX2_Click(object sender, EventArgs e)
        {
            string s;
            if (txtSearchByCode.Text == "")
                txtSearchByCode.Text = txtPersonalCode.Text;


            if (buttonX2.Text == "ویرایش")
            {
                Function.formEnabled(true, tabControlPanel1);
                Function.formEnabled(true, tabControlPanel2);
                Function.formEnabled(true, tabControlPanel3);
                buttonX2.Text = "ذخيره";
            }
            else
            {
                s = "UPDATE TPerson" +
        " SET [TPerson_Fname] ='" + txtFnameFardi.Text + "'" +
      ",[TPerson_Lname] = '" + txtLnameFardi.Text + "'" +
     " ,[TPerson_FatherName] = '" + txtFatherNameFardi.Text + "'" +
     ",[TPerson_IdNumber] = '" + txtIdNumFardi.Text + "'" +
     " ,[TPerson_BirthDate] = '" + msktxtBirthDateFardi.Text + "'" +
      " ,[TPerson_Gender] = " + cmbGender.SelectedIndex +
      ",[TPerson_MarriAge] = '" + cmbMarr.Text + "'" +
      ",[TPerson_NationalCode] = '" + txtNationalCode.Text + "'" +
      ",[TPerson_Major] = '" + txtMajor.Text + "'" +
      ",[TPerson_HouseState] = '" + cmbHouseState.Text + "'" +
      ",[TPerson_Tel] = '" + txtHouseTell.Text + "'" +
      ",[TPerson_mobile] = '" + txtMobile.Text + "'" +
      ",[TPerson_HouseAddress] = '" + txtAddress.Text + "'" +
         ",[TPerson_DaughterCount] = " + intGirlChildCount.Value +
      ",[TPerson_SonCount] = " + intBoyChildCount.Value +
      ",[TPerson_RelationShipCount] = " + intTakafol.Value +
      ",[TPerson_EmployState] = '" + cmbEmployState.Text + "'" +
      ",[TPerson_EmployDate] = '" + msktxtEmplyeeDate.Text + "'" +
      ",[TPerson_JobTitle] = '" + txtJobTitle.Text + "'" +
       ",[TPerson_JobName] = '" + txtJobName.Text + "'" +
      ",[TPerson_JobTel] = '" + txtJobTell.Text + "'" +
      ",[TPerson_JobAddress] = '" + txtJobAddress.Text + "'" +
      ",[TPerson_PlaceIdNumber] = '" + txtIdPlaceFardi.Text + "'" +
      ",[TPerson_Madrak] = '" + cmbMadrakFardi.Text + "'" +
      ",[TPerson_unit] = '" + txtUnitnameOfOrganization.Text + "'" +
 "  WHERE TPerson_PersonalCode= '" + txtSearchByCode.Text + "'";

                if (check_Entry())
                    if (System.Data.Sql.SQL_Commands.ins_del_upd(s))
                    {
                        MessageBox.Show("اطلاعات ذخيره شد");
                        try
                        {
                            b.Save(Application.StartupPath + "\\PersonPicture\\" + txtPersonalCode.Text + ".jpg");
                            b2.Save(Application.StartupPath + "\\KorookiPicture\\" + txtPersonalCode.Text + ".jpg");

                        }
                        catch (Exception)
                        {
                        }

                    }
                    else
                        MessageBox.Show("اشکال در ثبت داده ها");

                Function.formEnabled(false, tabControlPanel1);
                Function.formEnabled(false, tabControlPanel2);
                Function.formEnabled(false, tabControlPanel3);
                buttonX2.Text = "ویرایش";
            }

        }


        private void btnSearch_Click(object sender, EventArgs e)
        {
            frmSearch f = new frmSearch();
            f.Owner = this;


            f.Show();
        }

        private void btnExit_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void buttonX7_Click(object sender, EventArgs e)
        {
            frmFamilyInfo f = new frmFamilyInfo();
            f.Owner = this;
            // f.MdiParent = new frmMain();
            f.Show();

        }

        private void dataGridViewX1_DoubleClick(object sender, EventArgs e)
        {
            frmFamilyInfo f = new frmFamilyInfo();
            f.Owner = this;
            f.Show();

        }



        private void txtSearchByCode_TextChanged(object sender, EventArgs e)
        {
            if (txtSearchByCode.Focused == false)
            {
                txtSearchByCode.Focus();
                if (txtSearchByCode.Text != "")
                    SendKeys.Send("{ENTER}");
            }

        }

        private void buttonX8_Click(object sender, EventArgs e)
        {
            SavabeghShoghli frmsavabeghshoghli = new SavabeghShoghli();
            frmsavabeghshoghli.Owner = this;
            frmsavabeghshoghli.Show();

        }

        private void txtFnameFardi_Enter(object sender, EventArgs e)
        {
            ((TextBox)sender).SelectAll();


        }

        private void mskSelectAll(object sender, EventArgs e)
        {
            try
            {//((DevComponents.DotNetBar.Controls.MaskedTextBoxAdv)sender).SelectionStart = 0;
                ((DevComponents.DotNetBar.Controls.MaskedTextBoxAdv)sender).Select();
                //((DevComponents.DotNetBar.Controls.MaskedTextBoxAdv)sender).SelectionLength = ((DevComponents.DotNetBar.Controls.MaskedTextBoxAdv)sender).TextLength;
            }
            catch { }
        }
        private void SelectAll(object sender, EventArgs e)
        {
            try
            {
                ((TextBox)sender).SelectAll();
            }
            catch { }
        }

        






    }
}
