﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.Sql;
using Isargaran.Classes;

namespace Isargaran
{
    public partial class frmFamilyInfo : Form
    {
        string PersonalCode = "";
        public frmFamilyInfo()
        {
            InitializeComponent();
        }

        private void frmFamilyInfo_Load(object sender, EventArgs e)
        {
            DataSet ds = new DataSet();
            ds = SQL_Commands.search("select * from TMadrak");
            cmbMadrak.DataBindings.Add(new Binding("Text", ds.Tables[0], "TMadrak_Name"));

            ((FrmPer_Main)this.Owner).txtPersonalCode.Enabled = true;
            PersonalCode = ((FrmPer_Main)this.Owner).txtPersonalCode.Text;
            if (PersonalCode == "")
                PersonalCode = ((FrmPer_Main)this.Owner).txtSearchByCode.Text;
            ((FrmPer_Main)this.Owner).txtPersonalCode.Enabled = false;
            try
            {
                dataGridView1.DataSource = System.Data.Sql.SQL_Commands.search("select (TFamilyInformation_Fname) as [نام],(TFamilyInformation_Lname) as [نام خانوادگی],(TFamilyInformation_Relation) as [نسبت خانوادگی],(TFamilyInformation_BirthDate) as [تاریخ تولد],(TFamilyInformation_TMadrak_Name) as [مدرک],(TFamilyInformation_JobState) as [وضعیت شغلی] from TFamilyInformation where TFamilyInformation_TPerson_Code='" + PersonalCode + "'").Tables[0];
            }
            catch (Exception ex)
            {
            }
            Classes.Function.formEnabled(false, this);
        }

        private void buttonX1_Click(object sender, EventArgs e)
        {
            ClearFormItem.ClearItems(this);
            btnSave.Enabled = true;
            Classes.Function.formEnabled(true, this);
        }

        private void buttonX2_Click(object sender, EventArgs e)
        {
            string s = "insert into TFamilyInformation values('" + txtFname.Text + "','" + txtLname.Text + "','" + cmbRelation.Text + "','" + mskBirthDay.Text + "','" + cmbMadrak.Text + "','" + cmbJobStatus.Text + "','" + PersonalCode + "')";

            if (System.Data.Sql.SQL_Commands.ins_del_upd(s)) ;
            else
                MessageBox.Show("اشکال در ثبت داده ها");
            try
            {
                dataGridView1.DataSource = System.Data.Sql.SQL_Commands.search("select (TFamilyInformation_Fname) as [نام],(TFamilyInformation_Lname) as [نام خانوادگی],(TFamilyInformation_Relation) as [نسبت خانوادگی],(TFamilyInformation_BirthDate) as [تاریخ تولد],(TFamilyInformation_TMadrak_Name) as [مدرک],(TFamilyInformation_JobState) as [وضعیت شغلی] from TFamilyInformation where TFamilyInformation_TPerson_Code='" + PersonalCode + "'").Tables[0];

            }
            catch (Exception)
            { }
        }

        private void frmFamilyInfo_FormClosed(object sender, FormClosedEventArgs e)
        {
            try
            {

                ((FrmPer_Main)this.Owner).dataGridViewX1.DataSource = System.Data.Sql.SQL_Commands.search("select (TFamilyInformation_Fname) as [نام],(TFamilyInformation_Lname) as [نام خانوادگی],(TFamilyInformation_Relation) as [نسبت خانوادگی],(TFamilyInformation_BirthDate) as [تاریخ تولد],(TFamilyInformation_TMadrak_Name) as [مدرک],(TFamilyInformation_JobState) as [وضعیت شغلی] from TFamilyInformation where TFamilyInformation_TPerson_Code='" + PersonalCode + "'").Tables[0];
                ((FrmPer_Main)this.Owner).dataGridViewX1.Refresh
                    ();
            }
            catch (Exception)
            { }
        }
        public static string s1, s2;
        private void dataGridView1_SelectionChanged(object sender, EventArgs e)
        {
            s1 = dataGridView1.Rows[dataGridView1.CurrentRow.Index].Cells["نام"].Value.ToString();
            s2 = dataGridView1.Rows[dataGridView1.CurrentRow.Index].Cells["تاریخ تولد"].Value.ToString();
            DataSet ds = new DataSet();
            string s = "select * from TFamilyInformation where TFamilyInformation_TPerson_Code='" + PersonalCode + "' and TFamilyInformation_Fname='" + s1 + "' and TFamilyInformation_BirthDate='" + s2 + "'";

            try
            {

                ds = System.Data.Sql.SQL_Commands.search(s);

                txtFname.DataBindings.Clear();
                txtLname.DataBindings.Clear();
                mskBirthDay.DataBindings.Clear();
                cmbJobStatus.DataBindings.Clear();
                cmbMadrak.DataBindings.Clear();
                cmbRelation.DataBindings.Clear();

                txtFname.DataBindings.Add(new Binding("Text", ds.Tables[0], "TFamilyInformation_Fname"));
                txtLname.DataBindings.Add(new Binding("Text", ds.Tables[0], "TFamilyInformation_Lname"));
                mskBirthDay.DataBindings.Add(new Binding("Text", ds.Tables[0], "TFamilyInformation_BirthDate"));
                cmbJobStatus.DataBindings.Add(new Binding("Text", ds.Tables[0], "TFamilyInformation_JobState"));
                cmbMadrak.DataBindings.Add(new Binding("Text", ds.Tables[0], "TFamilyInformation_TMadrak_Name"));
                cmbRelation.DataBindings.Add(new Binding("Text", ds.Tables[0], "TFamilyInformation_Relation"));
            }
            catch { }

        }

        private void btnEdit_Click(object sender, EventArgs e)
        {
            if (btnEdit.Text == "ویرایش")
            {
                Classes.Function.formEnabled(true, this);
                btnEdit.Text = "ذخيره";
            }
            else
            {
                string s = "UPDATE TFamilyInformation" +
        " SET [TFamilyInformation_Fname] ='" + txtFname.Text + "'" +
      ",[TFamilyInformation_Lname] ='" + txtLname.Text + "'" +
      ",[TFamilyInformation_Relation] ='" + cmbRelation.Text + "'" +
      ",[TFamilyInformation_BirthDate] ='" + mskBirthDay.Text + "'" +
      ",[TFamilyInformation_TMadrak_Name] ='" + cmbMadrak.Text + "'" +
      ",[TFamilyInformation_JobState] ='" + cmbJobStatus.Text + "'" +
      ",[TFamilyInformation_TPerson_Code] ='" + PersonalCode + "'" +
 " WHERE TFamilyInformation_TPerson_Code ='" + PersonalCode + "' and TFamilyInformation_Fname='" + s1 + "' and TFamilyInformation_BirthDate='" + s2 + "'";


                if (System.Data.Sql.SQL_Commands.ins_del_upd(s))
                {
                    Classes.Function.formEnabled(false, this);
                    try
                    {
                        dataGridView1.DataSource = System.Data.Sql.SQL_Commands.search("select (TFamilyInformation_Fname) as [نام],(TFamilyInformation_Lname) as [نام خانوادگی],(TFamilyInformation_Relation) as [نسبت خانوادگی],(TFamilyInformation_BirthDate) as [تاریخ تولد],(TFamilyInformation_TMadrak_Name) as [مدرک],(TFamilyInformation_JobState) as [وضعیت شغلی] from TFamilyInformation where TFamilyInformation_TPerson_Code='" + PersonalCode + "'").Tables[0];

                    }
                    catch (Exception)
                    { }
                }
                else
                    MessageBox.Show("اشکال در ثبت داده ها");


                btnEdit.Text = "ویرایش";
            }

        }

        private void btnDelete_Click(object sender, EventArgs e)
        {
            string s = "delete from TFamilyInformation WHERE TFamilyInformation_TPerson_Code ='" + PersonalCode + "' and TFamilyInformation_Fname='" + s1 + "' and TFamilyInformation_BirthDate='" + s2 + "'";

            if (System.Data.Sql.SQL_Commands.ins_del_upd(s))
            {
                try
                {
                    dataGridView1.DataSource = System.Data.Sql.SQL_Commands.search("select (TFamilyInformation_Fname) as [نام],(TFamilyInformation_Lname) as [نام خانوادگی],(TFamilyInformation_Relation) as [نسبت خانوادگی],(TFamilyInformation_BirthDate) as [تاریخ تولد],(TFamilyInformation_TMadrak_Name) as [مدرک],(TFamilyInformation_JobState) as [وضعیت شغلی] from TFamilyInformation where TFamilyInformation_TPerson_Code='" + PersonalCode + "'").Tables[0];

                }
                catch { }
            }
            else
            {
                MessageBox.Show("اشکال در حذف اطلاعات ");
            }
        }


    }
}
