﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using FarsiLibrary.Utils;

namespace Isargaran
{
    public partial class frmMain : Form
    {

        FrmPer_Main FrmPer_Main = new FrmPer_Main();
        frmIsargar frmIsargar = new frmIsargar();
        public frmMain()
        {
            InitializeComponent();
        }

        private void خروجToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void اطلاعاتپرسنلیToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                FrmPer_Main.MdiParent = this;
                FrmPer_Main.Show();
            }
            catch (Exception)
            {
                FrmPer_Main FrmPer_Main = new FrmPer_Main();
                FrmPer_Main.MdiParent = this;
                FrmPer_Main.Show();
            }
        }

        private void frmMain_Load(object sender, EventArgs e)
        {
            Classes.Function.Change_Input_Language(true);
            
            labelItem4.Text = Classes.Function.Miladi2Shamsi(System.DateTime.Now.Year, System.DateTime.Now.Month, System.DateTime.Now.Day, 1);

            string path = "", path2 = "";
            try
            {
                path = Microsoft.Win32.Registry.GetValue("HKEY_CURRENT_USER\\Software\\Microsoft\\Isargaran", "SkinPath", "").ToString();
                path2 = Microsoft.Win32.Registry.GetValue("HKEY_CURRENT_USER\\Software\\Microsoft\\Isargaran", "PicPath", "").ToString();
            }
            catch (Exception)
            { }
            if (path != "")
                skinEngine1.SkinFile = path;
            else
                skinEngine1.SkinFile = Application.StartupPath + "\\FormSkin\\a (38).ssk";
            try
            {
                if (path2 != "")
                    this.BackgroundImage = new Bitmap(path2);
                else
                    this.BackgroundImage = new Bitmap(Application.StartupPath + "\\pic\\Ghadir Pic (1).jpg");
            }
            catch { }

            FrmPer_Main fp = new FrmPer_Main();
            fp.MdiParent = this;
            fp.Show();

        }

        private void اطلاعاتتکمیلیایثارگرانToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                frmIsargar.MdiParent = this;
                frmIsargar.Show();
            }
            catch (Exception)
            {
                frmIsargar frmIsargar = new frmIsargar();
                frmIsargar.MdiParent = this;
                frmIsargar.Show();
            }

        }

        private void تغییرظاهرفرمToolStripMenuItem_Click(object sender, EventArgs e)
        {
            OpenFileDialog op = new OpenFileDialog();
            op.Filter = "skin file|*.ssk";
            op.InitialDirectory = Application.StartupPath + "\\FormSkin";
            op.ShowDialog();
            skinEngine1.SkinFile = op.FileName;
            Microsoft.Win32.Registry.SetValue("HKEY_CURRENT_USER\\Software\\Microsoft\\Isargaran", "SkinPath", op.FileName);

        }

        private void تغییرپسزمینهToolStripMenuItem_Click(object sender, EventArgs e)
        {
            OpenFileDialog picOpenDialog = new OpenFileDialog();
            picOpenDialog.Filter = "Bitmap (*.bmp)|*.bmp|JPEG (*.jpg,*.jpeg)|*.jpg;*.jpeg;*.jpe;*.jfif|" +
                                    "All Picture Files|*.bmp;*.jpg;*.jpeg;*.jpe;*.jfif|All Files|*.*";
            picOpenDialog.FilterIndex = 3;

            //Show the open dialog
            picOpenDialog.InitialDirectory = Application.StartupPath + "\\pic";
            DialogResult msgResult = picOpenDialog.ShowDialog();
            if (msgResult != DialogResult.Cancel)
            {
                this.BackgroundImage = (Bitmap)Image.FromFile(picOpenDialog.FileName);
                Microsoft.Win32.Registry.SetValue("HKEY_CURRENT_USER\\Software\\Microsoft\\Isargaran", "PicPath", picOpenDialog.FileName);
            }
        }

        private void تغییرفونتواندازهToolStripMenuItem_Click(object sender, EventArgs e)
        {
            FontDialog fd = new FontDialog();
            fd.ShowDialog();
            this.Font = new Font(fd.Font.FontFamily, fd.Font.Size, fd.Font.Style);
        }
        public personelReport rpt = new personelReport();
        private void گزارشToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // rpt.SetParameterValue("ReportTitle1", "لیست کلیه پرسنل ");
            DataSet1TableAdapters.DataTable1TableAdapter da = new DataSet1TableAdapters.DataTable1TableAdapter();
            DataSet1 ds = new DataSet1();
            da.Fill(ds.DataTable1);

            rpt.SetDataSource(ds);

            char[] s;
            s = Classes.ShamsiMiladi.Miladi2Shamsi(DateTime.Now.Year, DateTime.Now.Month, DateTime.Now.Day, 1).ToCharArray();
            for (int i = 0; i < s.Length; i++)
            {
                try
                {
                    if (int.Parse(s[i].ToString()) >= 48 && int.Parse(s[i].ToString()) <= 57)
                    {
                        s[i] = ((char)(int.Parse(s[i].ToString()) + 1632));
                    }
                }
                catch { }
            }
            rpt.SetParameterValue("myparam", Classes.ShamsiMiladi.Miladi2Shamsi(DateTime.Now.Year, DateTime.Now.Month, DateTime.Now.Day, 1));

            frmReport f = new frmReport();
            f.Owner = this;
            f.crystalReportViewer1.ReportSource = rpt;
            f.Show();
        }

        private void bar1_ItemClick(object sender, EventArgs e)
        {

        }

        Amar amar = new Amar();
        private void آمارایثارگرانشاغلToolStripMenuItem_Click(object sender, EventArgs e)
        {
            //
            int tedadkolpersonel = System.Data.Sql.SQL_Commands.search("select * from TPerson").Tables[0].Rows.Count;
            int tedadisargaran = System.Data.Sql.SQL_Commands.search("select * from TPerson where TPerson_Group>0").Tables[0].Rows.Count;
            int tedadazade = System.Data.Sql.SQL_Commands.search("select * from TPerson where (TPerson_Group>=100 and TPerson_Group<1000)  or TPerson_Group>=1100").Tables[0].Rows.Count;
            int kamtaraz25 = System.Data.Sql.SQL_Commands.search("select * from TJanbaz where JanbazyPercent<25").Tables[0].Rows.Count;
            int _25ela49 = System.Data.Sql.SQL_Commands.search("select * from TJanbaz where (JanbazyPercent>=25 and JanbazyPercent<50)").Tables[0].Rows.Count;
            int bishtaraz50 = System.Data.Sql.SQL_Commands.search("select * from TJanbaz where JanbazyPercent>=50").Tables[0].Rows.Count;
            int pedar, madar, hamsar, farzand, baradar, khahar;
            pedar = System.Data.Sql.SQL_Commands.search("select * from TShahid where TypeOfRelation='پدر شهید'").Tables[0].Rows.Count;
            madar = System.Data.Sql.SQL_Commands.search("select * from TShahid where TypeOfRelation='مادر شهید'").Tables[0].Rows.Count;
            hamsar = System.Data.Sql.SQL_Commands.search("select * from TShahid where TypeOfRelation='همسر شهید'").Tables[0].Rows.Count;
            farzand = System.Data.Sql.SQL_Commands.search("select * from TShahid where TypeOfRelation='فرزند شهید'").Tables[0].Rows.Count;
            baradar = System.Data.Sql.SQL_Commands.search("select * from TShahid where TypeOfRelation='برادر شهید'").Tables[0].Rows.Count;
            khahar = System.Data.Sql.SQL_Commands.search("select * from TShahid where TypeOfRelation='خواهر شهید'").Tables[0].Rows.Count;
            int kamtaraz2sal = System.Data.Sql.SQL_Commands.search("select sum(ModatHozoor),personalcode from TRazmandeh group by (PersonalCode) having sum(ModatHozoor)<730").Tables[0].Rows.Count;
            int bishtaraz2sal = System.Data.Sql.SQL_Commands.search("select sum(ModatHozoor),personalcode from TRazmandeh group by (PersonalCode) having sum(ModatHozoor)>=730 ").Tables[0].Rows.Count;
            //DataSet1TableAdapters.DataTable1TableAdapter da = new Isargaran.DataSet1TableAdapters.DataTable1TableAdapter();
            //DataSet1 ds = new DataSet1();
            //da.Fill(ds.DataTable1);

            //rpt.SetDataSource(ds);

            amar.SetParameterValue("vahedsazmani", "استانداری ");
            amar.SetParameterValue("tedadpersonelshaghel", tedadkolpersonel.ToString());
            amar.SetParameterValue("tedadpersonelisargar", tedadisargaran.ToString());
            amar.SetParameterValue("tedadazadgan", tedadazade.ToString());
            amar.SetParameterValue("kamtaraz25", kamtaraz25.ToString());
            amar.SetParameterValue("25ela49", _25ela49.ToString());
            amar.SetParameterValue("50vabishtar", bishtaraz50.ToString());
            amar.SetParameterValue("jamkoljanbaz", (kamtaraz25 + _25ela49 + bishtaraz50).ToString());
            amar.SetParameterValue("pedar", pedar.ToString());
            amar.SetParameterValue("madar", madar.ToString());
            amar.SetParameterValue("hamsar", hamsar.ToString());
            amar.SetParameterValue("farzand", farzand.ToString());
            amar.SetParameterValue("baradar", baradar.ToString());
            amar.SetParameterValue("khahar", khahar.ToString());
            amar.SetParameterValue("jamkolshahid", (pedar + madar + khahar + baradar + hamsar + farzand).ToString());
            amar.SetParameterValue("kamtaras2sal", kamtaraz2sal.ToString());
            amar.SetParameterValue("2salvabishtar", bishtaraz2sal.ToString());
            amar.SetParameterValue("jamkolrazmande", (bishtaraz2sal + kamtaraz2sal).ToString());
            amar.SetParameterValue("date", Classes.ShamsiMiladi.Miladi2Shamsi(DateTime.Now.Year, DateTime.Now.Month, DateTime.Now.Day, 1));
            frmReport f = new frmReport();
            f.Owner = this;
            f.crystalReportViewer1.ReportSource = amar;
            f.Show();
        }

        private void ribbonBarMergeContainer1_Click(object sender, EventArgs e)
        {

        }

        private void ribbonControl1_Click(object sender, EventArgs e)
        {

        }

        private void bar1_ItemClick_1(object sender, EventArgs e)
        {

        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            labelItem2.Text = System.DateTime.Now.Hour.ToString() + ":" + System.DateTime.Now.Minute.ToString() + ":" + System.DateTime.Now.Second.ToString();
        }

        private void پشتیبانگیریدستوریToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                FarsiLibrary.Utils.PersianDate pd = FarsiLibrary.Utils.PersianDateConverter.ToPersianDate(System.DateTime.Now);
                string fileName = "Backup_" + Convert.ToString(pd.Year) + "_" + Convert.ToString(pd.Month) + "_" + Convert.ToString(pd.Day) + "_" + Convert.ToString(pd.Hour) + "_" + Convert.ToString(pd.Minute);
                SaveFileDialog sfd = new SaveFileDialog();
                sfd.Filter = "Backup Files(*.Bak)|*.Bak";
                sfd.DefaultExt = "Bak";
                sfd.FileName = fileName;
                if (sfd.ShowDialog() == DialogResult.OK)
                {
                    frmBackup bp = new frmBackup(sfd.FileName);
                    bp.Show();
                    bp.Backup();
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void BazyabiToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                System.ServiceProcess.ServiceController sc = new System.ServiceProcess.ServiceController("MSSQL$SQLEXPRESS");
                sc.Stop();
                
                OpenFileDialog sfd = new OpenFileDialog();
                sfd.Filter = "Backup Files(*.Bak)|*.Bak";
                if (sfd.ShowDialog() == DialogResult.OK)
                {
                    if (this.ActiveMdiChild != null)
                        this.ActiveMdiChild.Close();
                    frmRestorebackup bp = new frmRestorebackup(sfd.FileName);
                    //  sc.Start();
                        
                    sc.Start();
                    bp.Show();
                    bp.RestoreBackup();
                }
                else
                    sc.Start();
               
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            
        }

        private void toolStripButton1_MouseEnter(object sender, EventArgs e)
        {
            toolStripButton1.BackgroundImage=imageList1.Images[6];
        }

        private void toolStripButton1_Click_1(object sender, EventArgs e)
        {
         
        }

        private void toolStripButton1_Click_2(object sender, EventArgs e)
        {
            اطلاعاتتکمیلیایثارگرانToolStripMenuItem_Click(toolStripButton1, EventArgs.Empty);
            
        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            اطلاعاتپرسنلیToolStripMenuItem_Click(toolStripButton2, EventArgs.Empty);
        }

        private void faDatePickerConverter1_SelectedDateTimeChanged(object sender, EventArgs e)
        {

        }

        private void تغییرزباننوشتنToolStripMenuItem_Click(object sender, EventArgs e)
        {
            تغییرزباننوشتنToolStripMenuItem.Checked = !(تغییرزباننوشتنToolStripMenuItem.Checked);
            Classes.Function.Change_Input_Language((تغییرزباننوشتنToolStripMenuItem.Checked));
        }

        private void toolStripButton3_Click(object sender, EventArgs e)
        {
            new frmSearch().Show();
        }

        private void toolStripButton8_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void toolStripButton6_Click(object sender, EventArgs e)
        {
            new frmLogin().ShowDialog();
        }

        private void toolStripButton4_Click(object sender, EventArgs e)
        {
            پشتیبانگیریدستوریToolStripMenuItem_Click(toolStripButton4, EventArgs.Empty);
        }

        private void toolStripButton5_Click(object sender, EventArgs e)
        {
            BazyabiToolStripMenuItem_Click(toolStripButton5, EventArgs.Empty);
        }

        private void ماشینحسابToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                System.Diagnostics.Process.Start("calc.exe");
            }
            catch { }
        }

    }
}
