﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using Microsoft.SqlServer.Management.Common;
using Microsoft.SqlServer.Management.Smo;
using System.Data.SqlClient;

namespace Isargaran
{
    public partial class frmBackup : Form
    {
        private string fileName;
        public frmBackup(string FN)
        {
            InitializeComponent();
            fileName = FN;
        }


        public void Backup()
        {
            if (Classes.BackupRestore.BackupDatabase(System.Data.Sql.SQL_Commands.sqlProvider, fileName))
            {
                lbl1.ForeColor = Color.Green;
                timer1.Enabled = true;
            }
            else
            {
                lbl1.ForeColor = Color.Red;
                lbl1.Text = "خطا در تهیه نسخه پشتیبان";
                timer1.Enabled = false;

            }

           // backgroundWorker1.RunWorkerAsync();
        }
        protected delegate void Backup_PercentCompleteDelegate(object sender, PercentCompleteEventArgs e);


        protected void Backup_PercentComplete(object sender, PercentCompleteEventArgs e)
        {
            if (this.InvokeRequired)
                this.Invoke(new Backup_PercentCompleteDelegate(Backup_PercentComplete), sender, e);
            else
                progressBar1.Value = e.Percent;
        }
        protected delegate void Backup_CompleteDelegate(object sender, ServerMessageEventArgs e);

        protected void Backup_Complete(object sender, ServerMessageEventArgs e)
        {
            if (this.InvokeRequired)
                this.Invoke(new Backup_CompleteDelegate(Backup_Complete), sender, e);
            else
            {
                lbl1.Text = "عملیات پشتیبان گیری  با موفقیت به اتمام رسید!";
                button1.Enabled = true;
            }


        }


        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void backgroundWorker1_DoWork(object sender, DoWorkEventArgs e)
        {
            try
            {
                if (Classes.BackupRestore.BackupDatabase(System.Data.Sql.SQL_Commands.sqlProvider,fileName))
                    lbl1.Text = "عملیات پشتیبان گیری  با موفقیت به اتمام رسید!";
                else
                {
                    lbl1.Text = "خطا در تهیه نسخه پشتیبان";
                    timer1.Enabled = false;
                }
                //string s = "BACKUP DATABASE DB_ESARGARANEND TO  DISK = N'" + fileName + "' WITH NOFORMAT, NOINIT, SKIP, NOREWIND, NOUNLOAD,  STATS = 10";
                //if (System.Data.Sql.SQL_Commands.ins_del_upd(s))
                //{
                //    label1.ForeColor = Color.Green;
                //    label1.Text = "عملیات پشتیبان گیری  با موفقیت به اتمام رسید!";
                //}
                //else
                //{
                //    label1.ForeColor = Color.Red;
                //    label1.Text = "خطا در تهیه نسخه پشتیبان";
                //}

            }

            catch (Exception ex)
            {

                MessageBox.Show("خطا در تهیه نسخه پشتیبان\n " + ex.Message);
                //timer1.Enabled = false;

            }
        }

        private void Isargaran_Load(object sender, EventArgs e)
        {

        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            if (progressBar1.Value < progressBar1.Maximum)
                progressBar1.Value++;
            else
            {
                lbl1.Text = "عملیات پشتیبان گیری  با موفقیت به اتمام رسید!";
                
            }
        }

        private void lbl1_Click(object sender, EventArgs e)
        {

        }


    }
}
