﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Isargaran.Classes
{
    class ClearFormItem
    {
        public static void ClearItems(Control control)
        {
            foreach (Control c in control.Controls )
            {
                if (c.GetType() == typeof(DevComponents.DotNetBar.Controls.TextBoxX))
                    c.Text = "";
                if (c.GetType() == typeof(DevComponents.DotNetBar.Controls.ComboBoxEx))
                    ((DevComponents.DotNetBar.Controls.ComboBoxEx)c).Text ="";
                if (c.GetType() == typeof(DevComponents.DotNetBar.Controls.MaskedTextBoxAdv))
                    c.Text = "";
                if (c.GetType() == typeof(DevComponents.Editors.IntegerInput))
                    ((DevComponents.Editors.IntegerInput)c).Value = 0;

                if (c.GetType() == typeof(GroupBox))
                    ClearItems(c);

            }
        }
    }
}
