﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.Sql;
using System.Data.SqlClient;
using System.Windows.Forms;
using Isargaran;

namespace System.Data.Sql
{
    class SQL_Commands
    {
        //datset connection string
        //connectionString="Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|DB_esargaranEnd.mdf;Integrated Security=True;Connect Timeout=30;User Instance=True"
        //connectionString="Data Source=.;Initial Catalog=DB_ESARGARANEND;User ID=sa;Password=hamid"

        //public static string sqlProvider = "Data Source=.\\SQLEXPRESS;AttachDbFilename=" + Application.StartupPath + "\\DB_esargaranEnd.mdf;Integrated Security=True;Connect Timeout=30;User Instance=True";

  // public static string sqlProvider = "Data Source=.\\SQLEXPRESS;Initial Catalog=DB_ESARGARANEND;Integrated Security=True; User ID=sa;password=sadegh";
        public static string sqlProvider = Isargaran.Properties.Settings.Default.DB_ESARGARANENDConnectionString;//"Data Source=.\\SQLEXPRESS;AttachDbFilename=" + Application.StartupPath + "\\DB_esargaranEnd.mdf;Integrated Security=True;Connect Timeout=30;User Instance=True";//USER ID=sa;PASSWORD=sadegh;Connect Timeout=30;";
        /// <summary>
        /// used for insert , update , delete
        /// </summary>
        /// 
        public static bool ins_del_upd(string sqlcommand)
        {
            SqlConnection sql_Con = new SqlConnection();
            sql_Con.ConnectionString = sqlProvider;

            SqlCommand sqlCmd = new SqlCommand();
            sqlCmd.CommandType = CommandType.Text;
            sqlCmd.Connection = sql_Con;
            sqlCmd.CommandText = sqlcommand;

            try
            {
                sql_Con.Open();
                sqlCmd.ExecuteNonQuery();
                sqlCmd.Clone();
                sqlCmd.Dispose();
                return true;

            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
                return false;

            }
            finally
            {
                sql_Con.Close();
            }


        }
        public static  DataSet1 search2(string sqlcommand)
        {

            SqlConnection sql_Con = new SqlConnection();
            sql_Con.ConnectionString = sqlProvider;

            SqlCommand sqlCmd = new SqlCommand();
            sqlCmd.CommandType = CommandType.Text;
            sqlCmd.Connection = sql_Con;
            sqlCmd.CommandText = sqlcommand;

            DataSet1 ds = new DataSet1();

            SqlDataAdapter da = new SqlDataAdapter();

            try
            {
                sql_Con.Open();
                ds.Tables.Add();
                da.SelectCommand = sqlCmd;
                da.Fill(ds.Tables[0]);
                return ds;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
                return null;

            }
            finally
            {
                sqlCmd.Dispose();
                da.Dispose();
                sql_Con.Close();
                sql_Con.Dispose();
            }


        }

 



        /// <summary>
        /// used for <br/> search 
        /// </summary>
        /// <param name="sqlcommand">command</param>
        /// <param name="sqlTblName">tbl name</param>
        /// <returns></returns>
        public static DataSet search(string sqlcommand)
        {

            SqlConnection sql_Con = new SqlConnection();
            sql_Con.ConnectionString = sqlProvider;
            MessageBox.Show(sql_Con.ConnectionString);
            SqlCommand sqlCmd = new SqlCommand();
            sqlCmd.CommandType = CommandType.Text;
            sqlCmd.Connection = sql_Con;
            sqlCmd.CommandText = sqlcommand;

            DataSet ds = new DataSet();

            SqlDataAdapter da = new SqlDataAdapter();

            try
            {
                sql_Con.Open();
                ds.Tables.Add();
                da.SelectCommand = sqlCmd;
                da.Fill(ds.Tables[0]);
                return ds;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
                return null;

            }
            finally
            {
                sqlCmd.Dispose();
                da.Dispose();
                sql_Con.Close();
                sql_Con.Dispose();
            }


        }

        public static DataView search_DV(string strsql)
        {

            System.Data.DataSet Dset = new DataSet();
            System.Data.DataView Dview;

            System.Data.SqlClient.SqlConnection con = new System.Data.SqlClient.SqlConnection();
            System.Data.SqlClient.SqlDataAdapter da = new System.Data.SqlClient.SqlDataAdapter();

            con.ConnectionString = sqlProvider;

            da.SelectCommand = new System.Data.SqlClient.SqlCommand();
            da.SelectCommand.CommandText = strsql;
            da.SelectCommand.Connection = con;

            try
            {
                con.Open();
                Dset.Tables.Add("tbl");
                da.Fill(Dset, "tbl");
                Dview = new DataView(Dset.Tables["tbl"]);

                return Dview;
            }
            catch (Exception)
            {

                MessageBox.Show("Error...");

                return null;
            }
            finally
            {
                con.Close();
            }
        }

        public static void SaveImage(string s, System.Drawing.Bitmap b)
        {
            try
            {
                SqlConnection sql_Con = new SqlConnection();
                sql_Con.ConnectionString = sqlProvider;

                SqlCommand sqlCmd = new SqlCommand();
                sqlCmd.CommandType = CommandType.Text;
                sqlCmd.Connection = sql_Con;
                sqlCmd.CommandText = s;

                System.IO.MemoryStream ms = new System.IO.MemoryStream();
                b.Save(ms, b.RawFormat);
                byte[] arrPic = ms.GetBuffer();
                ms.Close();

                sql_Con.Open();
                sqlCmd.Parameters.Add("@Photo", SqlDbType.VarBinary).Value = arrPic;
                sqlCmd.ExecuteNonQuery();
                sql_Con.Close();

            }
            catch (SystemException ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}
