﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Isargaran.Classes;

namespace Isargaran
{
    public partial class frmIsargar : Form
    {
        public frmIsargar()
        {
            InitializeComponent();
        }

        public string strsql = "", strsql2 = "";
        public bool flag = false;
        public int type = 0;
        public string btnCaption = "";
        private void chkShahidInformation_CheckedChanged(object sender, EventArgs e)
        {
            if (chkShahidInformation.Checked == true)
            {
                grpShahidInformation.Visible = true;
                grpShahidInformation.BringToFront();
            }
            else
                grpShahidInformation.Visible = false;
        }

        private void chkHanbazInformation_CheckedChanged(object sender, EventArgs e)
        {
            if (chkJanbazInformation.Checked == true)
            {
                grpJanbazInformation.Visible = true;
                grpJanbazInformation.BringToFront();

            }
            else
                grpJanbazInformation.Visible = false;
        }

        private void chkAzadeInformation_CheckedChanged(object sender, EventArgs e)
        {
            if (chkAzadeInformation.Checked == true)
            {
                grpAzadeInformation.Visible = true;
                grpAzadeInformation.BringToFront();
                try
                {
                    dataGridViewX1.DataSource = System.Data.Sql.SQL_Commands.search("select PersonalCode as [کد پرسنلي],MahaleEsarat as [محل اسارت], FromDate as [تاريخ شروع اسارت] ,ToDate as [تاريخ پايان اسارت],FreeDate  as [تاريخ آزادگي],ModatEsarat as [مدت اسارت] from TAzade Where PersonalCode='" + txtSearchByCode.Text + "'").Tables[0];
                }
                catch (Exception)
                { }
            }

            else
                grpAzadeInformation.Visible = false;

        }

        private void chkRazmandeInformation_CheckedChanged(object sender, EventArgs e)
        {
            if (chkRazmandeInformation.Checked == true)
            {
                grpRazmandeInformation.Visible = true;
                grpRazmandeInformation.BringToFront();
                try
                {
                    dataGridViewX2.DataSource = System.Data.Sql.SQL_Commands.search("select FromDate as [تاريخ شروع حضور ], ToDate as [تاريخ پايان حضور در جبهه],ModatHozoor  as [مدت حضور],NAmeMantaghe as [نام منطقه],NoeHozoor as [نوع حضور] from TRazmandeh Where PersonalCode='" + txtSearchByCode.Text + "'").Tables[0];

                }
                catch (Exception)
                { }
            }
            else
                grpRazmandeInformation.Visible = false;
        }

        private void btnRazmandeClearForm_Click(object sender, EventArgs e)
        {
            if (txtSearchByCode.Text != "" && lblName.Text != "")
            {
                ClearFormItem.ClearItems(grpRazmandeInformation);
                btnRazmandeRegister.Enabled = true;
                Function.formEnabled(true, grpRazmandeInformation);
            }
            else
            {
                MessageBox.Show("لطفا ابتدا کد پرسنلی را وارد کنید و کلید اینتر را بزنید");
            }

        }

        private void btnAzadeClearForm_Click(object sender, EventArgs e)
        {
            ClearFormItem.ClearItems(grpAzadeInformation);

        }

        private void btnJanbazInformatonClearForm_Click(object sender, EventArgs e)
        {

            ClearFormItem.ClearItems(grpJanbazInformation);
            btnJanbazInformationRegister.Enabled = true;
            Function.formEnabled(true, grpJanbazInformation);
        }

        private void btnClearShahidForm_Click(object sender, EventArgs e)
        {
            ClearFormItem.ClearItems(grpShahidInformation);
        }

        private void btnJanbazCancleForm_Click(object sender, EventArgs e)
        {
            grpJanbazInformation.Visible = false;
            chkJanbazInformation.Checked = false;
        }

        private void btnShahidCancle_Click(object sender, EventArgs e)
        {
            grpShahidInformation.Visible = false;
            chkShahidInformation.Checked = false;
        }

        private void btnRazmandeCancelForm_Click(object sender, EventArgs e)
        {
            grpRazmandeInformation.Visible = false;
            chkRazmandeInformation.Checked = false;
        }

        private void btnAzedeCancelForm_Click(object sender, EventArgs e)
        {
            grpAzadeInformation.Visible = false;
            chkAzadeInformation.Checked = false;
        }

        private void frmIsargar_KeyPress(object sender, KeyPressEventArgs e)
        {
            DataSet ds = new DataSet();
            if (e.KeyChar == 13)
            {

                if (txtSearchByCode.Text == "")
                {
                    MessageBox.Show("کد پرسنلي را وارد کنيد");
                    return;
                }
                ds = System.Data.Sql.SQL_Commands.search("select * from Tperson where TPerson_PersonalCode='" + txtSearchByCode.Text + "'");
                if (ds == null || ds.Tables[0].Rows.Count == 0)
                {
                    MessageBox.Show("يافت نشد");
                    return;
                }
                if (ds.Tables[0].Rows.Count > 0)
                {
                    try
                    {
                        lblFname.DataBindings.Clear();
                        lblName.DataBindings.Clear();
                    }
                    catch (Exception)
                    { }
                    lblName.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_Lname"));
                    lblFname.DataBindings.Add(new Binding("Text", ds.Tables[0], "TPerson_Fname"));
                    if (System.IO.File.Exists(Application.StartupPath + "\\PersonPicture\\" + txtSearchByCode.Text + ".jpg"))
                        picFardi.Image = Image.FromFile(Application.StartupPath + "\\PersonPicture\\" + txtSearchByCode.Text + ".jpg");
                    //
                    dataGridViewX2.DataSource = System.Data.Sql.SQL_Commands.search("select FromDate as [تاريخ شروع حضور ], ToDate as [تاريخ پايان حضور در جبهه],ModatHozoor  as [مدت حضور],NAmeMantaghe as [نام منطقه],NoeHozoor as [نوع حضور] from TRazmandeh Where PersonalCode='" + txtSearchByCode.Text + "'").Tables[0];
                    dataGridViewX1.DataSource = System.Data.Sql.SQL_Commands.search("select PersonalCode as [کد پرسنلي],MahaleEsarat as [محل اسارت], FromDate as [تاريخ شروع اسارت] ,ToDate as [تاريخ پايان اسارت],FreeDate  as [تاريخ آزادگي],ModatEsarat as [مدت اسارت] from TAzade Where PersonalCode='" + txtSearchByCode.Text + "'").Tables[0];
                    //پر کردن فرم اطلاعاتی شهید
                    DataSet1TableAdapters.TShahidTableAdapter shahidDA = new DataSet1TableAdapters.TShahidTableAdapter();
                    shahidDA.searchbypersonalcode(dataSet1.TShahid, txtSearchByCode.Text);
                    rbtnWasClerkN.Checked = !rbtnWasClerkY.Checked;

                    //پر کردن فرم اطلاعات جانباز
                    DataSet1TableAdapters.TJanbazTableAdapter janbazDA = new DataSet1TableAdapters.TJanbazTableAdapter();
                    janbazDA.searchbypersonalcode(dataSet1.TJanbaz, txtSearchByCode.Text);

                }
            }
        }


        private void frmIsargar_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'dataSet1.TRazmandeh' table. You can move, or remove it, as needed.
            //this.tRazmandehTableAdapter.Fill(this.dataSet1.TRazmandeh);
            chkRazmandeInformation.Checked = true;
            Function.formEnabled(false, grpShahidInformation);
            Function.formEnabled(false, grpRazmandeInformation);
            Function.formEnabled(false, grpAzadeInformation);
            Function.formEnabled(false, grpJanbazInformation);

        }

        private void txtSearchByCode_TextChanged(object sender, EventArgs e)
        {

        }

        private void maskedTextBoxAdv2_KeyPress(object sender, KeyPressEventArgs e)
        {
            //Classes.Function.Change_Input_Language(sender, ref e);
        }

        private void btnShahidRegister_Click(object sender, EventArgs e)
        {


            string s = "SELECT * FROM TShahid Where PersonalCode='" + txtSearchByCode.Text + "'";
            if (System.Data.Sql.SQL_Commands.search(s).Tables[0].Rows.Count > 0)
            {
                MessageBox.Show("اطلاعات پرسنل قبلا ثبت شده");
                return;
            }



            s = "INSERT INTO TShahid" +
          "([PersonalCode]" +
          ",[TypeOfRelation]" +
          ",[fname]" +
          ",[lname]" +
          ",[ShahadatArea]" +
          ",[NahveShahadat]" +
          ",[SahadatDate]" +
          ",[id]" +
          ",[WasClerk]" +
          ",[TypeMember])" +
    "VALUES ('" + txtSearchByCode.Text + "','" + cmbTypeOfRelation.Text + "','" + txtFname.Text + "','" + txtLname.Text + "','" + txtShahadatArea.Text + "','" + txtNahveShahadat.Text + "','" + msktxtShahadatDate.Text + "','" + txtId.Text + "','" + Convert.ToInt32(rbtnWasClerkY.Checked) + "','" + cmbTypeMember.Text + "')";



            if (System.Data.Sql.SQL_Commands.ins_del_upd(s))
            {
                MessageBox.Show("اطلاعات ذخيره شد");
                Function.formEnabled(false, grpShahidInformation);
                btnSave.Enabled = false;
                //
                int x;
                dataGridView1.DataSource = System.Data.Sql.SQL_Commands.search("select TPerson_Group from TPerson where TPerson_PersonalCode='" + txtSearchByCode.Text + "'").Tables[0];
                x = Convert.ToInt32((dataGridView1.Rows[0].Cells[0].Value.ToString()));
                x++;
                s = "UPDATE TPerson set TPerson_Group=" + x + " where TPerson_PersonalCode='" + txtSearchByCode.Text + "'";
                System.Data.Sql.SQL_Commands.ins_del_upd(s);


            }
            else
                MessageBox.Show("اشکال در ثبت داده ها");



        }

        private void buttonX1_Click(object sender, EventArgs e)
        {
            ClearFormItem.ClearItems(grpShahidInformation);
            Function.formEnabled(true, grpShahidInformation);
            btnSave.Enabled = true;

        }

        private void btnJanbazInformationRegister_Click(object sender, EventArgs e)
        {
            string s = "SELECT * FROM TJanbaz Where PersonalCode='" + txtSearchByCode.Text + "'";

            if (System.Data.Sql.SQL_Commands.search(s).Tables[0].Rows.Count > 0)
            {
                MessageBox.Show("اطلاعات پرسنل قبلا ثبت شده");
                return;
            }


            s = "INSERT INTO TJanbaz" +
           "([PersonalCode]" +
           ",[JanbazyPercent]" +
           ",[MajrohiyatDate]" +
           ",[MajrohiyatArea]" +
           ",[NahiyeMajrohyat]" +
           ",[id])" +
     "VALUES('" + txtSearchByCode.Text + "'," + intJanbazyPercent.Value + ",'" + mskMajrohyatDate.Text + "','" + txtMajrohyatArea.Text + "','" + txtNahiyeMajrohyat.Text + "','" + txtIDJanbazy.Text + "')";


            if (System.Data.Sql.SQL_Commands.ins_del_upd(s))
            {
                MessageBox.Show("اطلاعات ذخيره شد");
                Function.formEnabled(false, grpJanbazInformation);
                btnJanbazInformationRegister.Enabled = false;

                //
                int x;
                dataGridView1.DataSource = System.Data.Sql.SQL_Commands.search("select TPerson_Group from TPerson where TPerson_PersonalCode='" + txtSearchByCode.Text + "'").Tables[0];
                x = Convert.ToInt32((dataGridView1.Rows[0].Cells[0].Value.ToString()));
                x = x + 10;
                s = "UPDATE TPerson set TPerson_Group=" + x + " where TPerson_PersonalCode='" + txtSearchByCode.Text + "'";
                System.Data.Sql.SQL_Commands.ins_del_upd(s);


            }
            else
                MessageBox.Show("اشکال در ثبت داده ها");



        }

        private void btnInsert_Click(object sender, EventArgs e)
        {
            string s = "SELECT * FROM TAzade Where FromDate='" + mskFromDAte.Text + "'";

            if (System.Data.Sql.SQL_Commands.search(s).Tables[0].Rows.Count > 0)
            {
                MessageBox.Show("تاريخ ثبت تکراري است");
                return;
            }


            s = "INSERT INTO TAzade" +
            "([PersonalCode]" +
            ",[MahaleEsarat]" +
            ",[FromDate]" +
            ",[ToDate]" +
            ",[FreeDate]" +
            ",[ModatEsarat])" +
      "VALUES('" + txtSearchByCode.Text + "','" + txtMahaleEsarat.Text + "','" + mskFromDAte.Text + "','" + mskToDate.Text + "','" + mskFreeDAte.Text + "','" + txtModatEsarat.Text + "')";



            DataSet ds = new DataSet();
            if (System.Data.Sql.SQL_Commands.ins_del_upd(s))
            {
                Function.formEnabled(false, grpAzadeInformation);
                dataGridViewX1.DataSource = System.Data.Sql.SQL_Commands.search("select PersonalCode as [کد پرسنلي],MahaleEsarat as [محل اسارت], FromDate as [تاريخ شروع اسارت] ,ToDate as [تاريخ پايان اسارت],FreeDate  as [تاريخ آزادگي],ModatEsarat as [مدت اسارت] from TAzade Where PersonalCode='" + txtSearchByCode.Text + "'").Tables[0];
                btnInsert.Enabled = false;

                //
                int x;
                dataGridView1.DataSource = System.Data.Sql.SQL_Commands.search("select TPerson_Group from TPerson where TPerson_PersonalCode='" + txtSearchByCode.Text + "'").Tables[0];
                x = Convert.ToInt32((dataGridView1.Rows[0].Cells[0].Value.ToString()));
                if (x < 100)
                {
                    x = x + 100;
                    s = "UPDATE TPerson set TPerson_Group=" + x + " where TPerson_PersonalCode='" + txtSearchByCode.Text + "'";
                    System.Data.Sql.SQL_Commands.ins_del_upd(s);
                }

            }
            else
                MessageBox.Show("اشکال در ثبت داده ها");




        }

        private void btnDelete_Click(object sender, EventArgs e)
        {
            ClearFormItem.ClearItems(grpAzadeInformation);
            btnInsert.Enabled = true;
            Function.formEnabled(true, grpAzadeInformation);
        }

        private void btnRazmandeRegister_Click(object sender, EventArgs e)
        {

            string s = "INSERT INTO TRazmandeh" +
           "([PersonalCode]" +
           ",[FromDate]" +
           ",[ToDate]" +
           ",[ModatHozoor]" +
           ",[NAmeMantaghe]" +
           ",[NoeHozoor])" +
     "VALUES('" + txtSearchByCode.Text + "','" + mskFromDateRazmande.Text + "','" + mskTodateRazmande.Text + "'," + txtModatHozoor.Text + ",'" + txtNameMantaghe.Text + "','" + cmbNoeHozoor.Text + "')";


            DataSet ds = new DataSet();
            if (System.Data.Sql.SQL_Commands.ins_del_upd(s))
            {
                Function.formEnabled(false, grpRazmandeInformation);
                dataGridViewX2.DataSource = System.Data.Sql.SQL_Commands.search("select FromDate as [تاريخ شروع حضور ], ToDate as [تاريخ پايان حضور در جبهه],ModatHozoor  as [مدت حضور],NAmeMantaghe as [نام منطقه],NoeHozoor as [نوع حضور] from TRazmandeh Where PersonalCode='" + txtSearchByCode.Text + "'").Tables[0];
                btnRazmandeRegister.Enabled = false;

                //

                int x;
                dataGridView1.DataSource = System.Data.Sql.SQL_Commands.search("select TPerson_Group from TPerson where TPerson_PersonalCode='" + txtSearchByCode.Text + "'").Tables[0];
                x = Convert.ToInt32((dataGridView1.Rows[0].Cells[0].Value.ToString()));
                if (x < 1000)
                {
                    x += 1000;
                    s = "UPDATE TPerson set TPerson_Group=" + x + " where TPerson_PersonalCode='" + txtSearchByCode.Text + "'";
                    System.Data.Sql.SQL_Commands.ins_del_upd(s);
                }


            }
            else
                MessageBox.Show("اشکال در ثبت داده ها");
        }

        private void btnSearch_Click(object sender, EventArgs e)
        {
            frmSearch fs = new frmSearch();
            strsql = "select PersonalCode as [کد پرسنلی],MahaleEsarat as [محل اسارت], FromDate as [تاريخ شروع اسارت] ,ToDate as [تاريخ پايان اسارت],FreeDate  as [تاريخ آزادگي],ModatEsarat as [مدت اسارت] from TAzade Where PersonalCode='" + txtSearchByCode.Text + "'";
            strsql2 = "select PersonalCode as [کد پرسنلی],MahaleEsarat as [محل اسارت], FromDate as [تاريخ شروع اسارت] ,ToDate as [تاريخ پايان اسارت],FreeDate  as [تاريخ آزادگي],ModatEsarat as [مدت اسارت] from TAzade";
            flag = true;
            fs.Owner = this;
            type = 3;
            btnCaption = "پرینت اطلاعات آزاده";
            
            fs.Show();
        }

        private void buttonX1_Click_1(object sender, EventArgs e)
        {
            frmSearch fs = new frmSearch();
            strsql2 = "select PersonalCode as [کد پرسنلی],TypeOfRelation as [نوع وابستگی],fname as [نام شهید ] ,lname as [نام خانوادگی شهید] ,ShahadatArea as [محل شهادت],NahveShahadat as [نحوه شهادت],SahadatDate as [تاریخ شهادت],id as [شماره شناسایی],WasClerk as [کارمند؟],TypeMember as [نوع عضویت] from TShahid";
            strsql = "select PersonalCode as [کد پرسنلی],TypeOfRelation as [نوع وابستگی],fname as [نام شهید ] ,lname as [نام خانوادگی شهید] ,ShahadatArea as [محل شهادت],NahveShahadat as [نحوه شهادت],SahadatDate as [تاریخ شهادت],id as [شماره شناسایی],WasClerk as [کارمند؟],TypeMember as [نوع عضویت] from TShahid where PersonalCode='" + txtSearchByCode.Text + "'";
            flag = true;
            fs.Owner = this;
            type = 1;
            btnCaption = "پرینت اطلاعات شهید";
            
            fs.Show();
        }

        private void btnJanbazInformatonClearForm_Click_1(object sender, EventArgs e)
        {
            frmSearch fs = new frmSearch();
            strsql = "select PersonalCode as [کد پرسنلی],JanbazyPercent as [درصد جانبازی],MajrohiyatDate  as [تاریخ مجروحیت],MajrohiyatArea  as [ناحیه مجروحیت],NahiyeMajrohyat as [مجروحیت از ناحیه]  ,id  as [شماره شناسایی] from TJanbaz where PersonalCode='" + txtSearchByCode.Text + "'";
            strsql2 = "select PersonalCode as [کد پرسنلی],JanbazyPercent as [درصد جانبازی],MajrohiyatDate  as [تاریخ مجروحیت],MajrohiyatArea  as [ناحیه مجروحیت],NahiyeMajrohyat as [مجروحیت از ناحیه]  ,id  as [شماره شناسایی] from TJanbaz";
            flag = true;
            type = 2;
            btnCaption = "پرینت اطلاعات جانباز";
            fs.Owner = this;
            fs.Show();
        }

        private void btnRazmandeClearForm_Click_1(object sender, EventArgs e)
        {
            frmSearch fs = new frmSearch();
            strsql = "select PersonalCode as [کد پرسنلی], FromDate as [تاريخ شروع حضور ], ToDate as [تاريخ پايان حضور در جبهه],ModatHozoor  as [مدت حضور],NAmeMantaghe as [نام منطقه],NoeHozoor as [نوع حضور] from TRazmandeh Where PersonalCode='" + txtSearchByCode.Text + "'";
            strsql2 = "select PersonalCode as [کد پرسنلی], FromDate as [تاريخ شروع حضور ], ToDate as [تاريخ پايان حضور در جبهه],ModatHozoor  as [مدت حضور],NAmeMantaghe as [نام منطقه],NoeHozoor as [نوع حضور] from TRazmandeh ";
            flag = true;
            fs.Owner = this;
            type =4;
            btnCaption = "پرینت اطلاعات رزمنده";
            
            fs.Show();
        }

        private void buttonX2_Click(object sender, EventArgs e)
        {
            string fromdate = mskFromDAte.Text;
            if (btnEditAzade.Text == "ویرایش")
            {
                Classes.Function.formEnabled(true, grpAzadeInformation);
                btnEditAzade.Text = "ثبت";
            }
            else
            {
                string s = "UPDATE TAzade set " +
                "MahaleEsarat='" + txtMahaleEsarat.Text + "'" +
                ",FromDate='" + mskFromDAte.Text + "'" +
                ",ToDate='" + mskToDate.Text + "'" +
                ",FreeDate='" + mskFreeDAte.Text + "'" +
                ",ModatEsarat='" + txtModatEsarat.Text + "' where PersonalCode='" + txtSearchByCode.Text + "' and FromDate='" + fromdate + "'";

                if (System.Data.Sql.SQL_Commands.ins_del_upd(s))
                {
                    Classes.Function.formEnabled(false, grpShahidInformation);
                    btnEditAzade.Text = "ویرایش";
                    dataGridViewX1.DataSource = System.Data.Sql.SQL_Commands.search("select PersonalCode as [کد پرسنلي],MahaleEsarat as [محل اسارت], FromDate as [تاريخ شروع اسارت] ,ToDate as [تاريخ پايان اسارت],FreeDate  as [تاريخ آزادگي],ModatEsarat as [مدت اسارت] from TAzade Where PersonalCode='" + txtSearchByCode.Text + "'").Tables[0];
                }
                else
                    MessageBox.Show("اشکال در ثبت اطلاعات آزاده");

            }
        }

        private void txtModatHozoor_Click(object sender, EventArgs e)
        {
            txtModatHozoor.Text = Classes.Function.DayDistance(mskFromDateRazmande.Text, mskTodateRazmande.Text).ToString();
            ((TextBox)sender).SelectAll();
        }

        private void cmbTypeOfRelation_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void grpShahidInformation_Enter(object sender, EventArgs e)
        {

        }

        private void btnDeleteShahid_Click(object sender, EventArgs e)
        {
            if (Convert.ToBoolean(tShahidTableAdapter.DeleteQuery(txtSearchByCode.Text)))
            {
                MessageBox.Show("اطلاعات شهید با موفقیت حذف شد");
                Classes.ClearFormItem.ClearItems(grpShahidInformation);
            }
            else
                MessageBox.Show("اشکال در حذف اطلاعات شهید");
        }

        private void txtModatHozoor_TextChanged(object sender, EventArgs e)
        {

        }

        private void btnDeleteRazmande_Click(object sender, EventArgs e)
        {
            if (Convert.ToBoolean(tRazmandehTableAdapter.deletebyPersonalCode(txtSearchByCode.Text, mskFromDateRazmande.Text)))
            {
                Classes.ClearFormItem.ClearItems(grpRazmandeInformation);
                dataGridViewX2.DataSource = System.Data.Sql.SQL_Commands.search("select FromDate as [تاريخ شروع حضور ], ToDate as [تاريخ پايان حضور در جبهه],ModatHozoor  as [مدت حضور],NAmeMantaghe as [نام منطقه],NoeHozoor as [نوع حضور] from TRazmandeh Where PersonalCode='" + txtSearchByCode.Text + "'").Tables[0];
            }
            else
                MessageBox.Show("اشکال در حذف اطلاعات رزمنده");
        }

        private void btnDeleteAzade_Click(object sender, EventArgs e)
        {
            if (Convert.ToBoolean(tAzadeTableAdapter.deletebypersonalcode(txtSearchByCode.Text, mskFromDAte.Text)))
            {
                Classes.ClearFormItem.ClearItems(grpAzadeInformation);
                Classes.Function.formEnabled(false, grpAzadeInformation);
                dataGridViewX1.DataSource = System.Data.Sql.SQL_Commands.search("select PersonalCode as [کد پرسنلي],MahaleEsarat as [محل اسارت], FromDate as [تاريخ شروع اسارت] ,ToDate as [تاريخ پايان اسارت],FreeDate  as [تاريخ آزادگي],ModatEsarat as [مدت اسارت] from TAzade Where PersonalCode='" + txtSearchByCode.Text + "'").Tables[0];
            }
            else
                MessageBox.Show("اشکال در حذف اطلاعات آزاده");
        }

        private void btnDeleteJanbaz_Click(object sender, EventArgs e)
        {
            if (Convert.ToBoolean(tJanbazTableAdapter.deletebypersonalcode(txtSearchByCode.Text)))
            {
                MessageBox.Show("اطلاعات جانباز با موفقیت حذف شد");
                Classes.ClearFormItem.ClearItems(grpJanbazInformation);
                Classes.Function.formEnabled(false, grpJanbazInformation);
            }
            else
                MessageBox.Show("اشکال در حذف اطلاعات جانباز");

        }

        private void btnEditShahid_Click(object sender, EventArgs e)
        {
            if (btnEditShahid.Text == "ویرایش")
            {
                Classes.Function.formEnabled(true, grpShahidInformation);
                btnEditShahid.Text = "ثبت";
            }
            else
            {
                string s = "UPDATE TShahid set " +
              "TypeOfRelation='" + cmbTypeOfRelation.Text + "'" +
              ",fname='" + txtFname.Text + "'" +
              ",lname='" + txtLname.Text + "'" +
              ",ShahadatArea='" + txtShahadatArea.Text + "'" +
              ",NahveShahadat='" + txtNahveShahadat.Text + "'" +
              ",SahadatDate='" + msktxtShahadatDate.Text + "'" +
              ",id='" + txtId.Text + "'" +
              ",WasClerk=" + Convert.ToInt32(rbtnWasClerkY.Checked) +
              ",TypeMember='" + cmbTypeMember.Text + "' where PersonalCode='" + txtSearchByCode.Text + "'";

                if (System.Data.Sql.SQL_Commands.ins_del_upd(s))
                {
                    MessageBox.Show("اطلاعات شهید با موفقیت ثبت شد");
                    Classes.Function.formEnabled(false, grpShahidInformation);
                    btnEditShahid.Text = "ویرایش";
                }
                else
                    MessageBox.Show("اشکال در ثبت اطلاعات شهید");

            }
        }

        private void btnEditRazmande_Click(object sender, EventArgs e)
        {
            string fromdate = mskFromDateRazmande.Text;

            if (btnEditRazmande.Text == "ویرایش")
            {
                Classes.Function.formEnabled(true, grpRazmandeInformation);
                btnEditRazmande.Text = "ثبت";

            }
            else
            {
                string s = "UPDATE TRazmandeh set " +
              "FromDate='" + mskFromDateRazmande.Text + "'" +
              ",ToDate='" + mskTodateRazmande.Text + "'" +
              ",ModatHozoor=" + txtModatHozoor.Text + 
              ",NAmeMantaghe='" + txtNameMantaghe.Text + "'" +
              ",NoeHozoor='" + cmbNoeHozoor.Text + "' where PersonalCode='" + txtSearchByCode.Text + "' and FromDate='" + fromdate + "'";

                if (System.Data.Sql.SQL_Commands.ins_del_upd(s))
                {
                    Classes.Function.formEnabled(false, grpRazmandeInformation);
                    btnEditRazmande.Text = "ویرایش";
                    dataGridViewX2.DataSource = System.Data.Sql.SQL_Commands.search("select FromDate as [تاريخ شروع حضور ], ToDate as [تاريخ پايان حضور در جبهه],ModatHozoor  as [مدت حضور],NAmeMantaghe as [نام منطقه],NoeHozoor as [نوع حضور] from TRazmandeh Where PersonalCode='" + txtSearchByCode.Text + "'").Tables[0];
                }
                else
                    MessageBox.Show("اشکال در ثبت اطلاعات رزمنده");


            }





        }

        private void btnEditJanbaz_Click(object sender, EventArgs e)
        {
            if (btnEditJanbaz.Text == "ویرایش")
            {
                Classes.Function.formEnabled(true, grpJanbazInformation);
                btnEditJanbaz.Text = "ثبت";
            }
            else
            {
                string s = "UPDATE TJanbaz set " +
               "JanbazyPercent=" + intJanbazyPercent.Text +
               ",MajrohiyatDate='" + mskMajrohyatDate.Text + "'" +
               ",MajrohiyatArea='" + txtMajrohyatArea.Text + "'" +
               ",NahiyeMajrohyat='" + txtNahiyeMajrohyat.Text + "'" +
               ",id='" + txtIDJanbazy.Text + "' where PersonalCode='" + txtSearchByCode.Text + "'";

                if (System.Data.Sql.SQL_Commands.ins_del_upd(s))
                {
                    MessageBox.Show("اطلاعات جانباز با موفقیت ثبت شد");
                    Classes.Function.formEnabled(false, grpJanbazInformation);
                    btnEditJanbaz.Text = "ویرایش";
                }
                else
                    MessageBox.Show("اشکال در ثبت اطلاعات جانباز");

            }

        }

        private void dataGridViewX1_SelectionChanged(object sender, EventArgs e)
        {
            try
            {

                mskFromDAte.Text = dataGridViewX1.Rows[dataGridViewX1.CurrentRow.Index].Cells["تاريخ شروع اسارت"].Value.ToString();
                mskToDate.Text = dataGridViewX1.Rows[dataGridViewX1.CurrentRow.Index].Cells["تاريخ پايان اسارت"].Value.ToString();
                txtMahaleEsarat.Text = dataGridViewX1.Rows[dataGridViewX1.CurrentRow.Index].Cells["محل اسارت"].Value.ToString();
                txtModatEsarat.Text = dataGridViewX1.Rows[dataGridViewX1.CurrentRow.Index].Cells["مدت اسارت"].Value.ToString();
                mskFreeDAte.Text = dataGridViewX1.Rows[dataGridViewX1.CurrentRow.Index].Cells["تاريخ آزادگي"].Value.ToString();
            }
            catch { }

        }

        private void dataGridViewX1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }

        private void dataGridViewX2_SelectionChanged(object sender, EventArgs e)
        {
            try
            {
                mskFromDateRazmande.Text = dataGridViewX2.Rows[dataGridViewX2.CurrentRow.Index].Cells["تاريخ شروع حضور "].Value.ToString();
                mskTodateRazmande.Text = dataGridViewX2.Rows[dataGridViewX2.CurrentRow.Index].Cells["تاريخ پايان حضور در جبهه"].Value.ToString();
                txtModatHozoor.Text = dataGridViewX2.Rows[dataGridViewX2.CurrentRow.Index].Cells["مدت حضور"].Value.ToString();
                txtNameMantaghe.Text = dataGridViewX2.Rows[dataGridViewX2.CurrentRow.Index].Cells["نام منطقه"].Value.ToString();
                cmbNoeHozoor.Text = dataGridViewX2.Rows[dataGridViewX2.CurrentRow.Index].Cells["نوع حضور"].Value.ToString();
            }
            catch { }

        }

        private void selectall(object sender, EventArgs e)
        {
            try
            {
                ((TextBox)sender).SelectAll();
            }
            catch { }
        }

        private void txtModatEsarat_Enter(object sender, EventArgs e)
        {
            txtModatEsarat.Text = Classes.Function.DayDistance(mskFreeDAte.Text, mskToDate.Text).ToString();
            ((TextBox)sender).SelectAll();
        }

        private void grpRazmandeInformation_Enter(object sender, EventArgs e)
        {

        }



    }
}
